astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Virtual Observatory Access (`astropy.vo`) »
- VO Simple Cone Search »
- ConeSearchResults

# ConeSearchResults

class `astropy.vo.validator.inspect.``ConeSearchResults`(cache=False, verbose=True)

  Bases: `object`

  A class to store Cone Search validation results.

  Parameters:

  cache : bool

  > Read from cache, if available. Default is `False` to ensure the latest data are read.

  verbose : bool

  > Show download progress bars.

  Attributes

  dbtypes | (list) Cone Search database identifiers.
  dbs | (dict) Stores `VOSDatabase` for each `dbtypes`.
  catkeys | (dict) Stores sorted catalog keys for each `dbtypes`.

  Methods Summary

  `list_cats`(typ[, fout, ignore_noncrit]) | List catalogs in given database.
  `print_cat`(key[, fout]) | Display a single catalog of given key.
  `tally`([fout]) | Tally databases.

  Methods Documentation

  `list_cats`(typ, fout=None, ignore_noncrit=False)

    List catalogs in given database.

    Listing contains:

    > 1. Catalog key
    > 2. Cone search access URL
    > 3. Warning codes
    > 4. Warning descriptions

    Parameters:

    typ : str

    > Any value in `self.dbtypes`.

    fout : output stream

    > Default is screen output.

    ignore_noncrit : bool

    > Exclude warnings in `astropy.vo.validator.Conf.noncritical_warnings`. This is useful to see why a catalog failed validation.

  `print_cat`(key, fout=None)

    Display a single catalog of given key.

    If not found, nothing is written out.

    Parameters:

    key : str

    > Catalog key.

    fout : output stream

    > Default is screen output.

  `tally`(fout=None)

    Tally databases.

    Parameters:

    fout : output stream

    > Default is screen output.